.request-loader {
    --justify-content-loader: center;
    --size-loader: 200px;
    --ring-color: rgba(72, 54, 152, 1);
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: var(--justify-content-loader);
    align-items: center;
    height: var(--size-loader);
    width: var(--size-loader);
    border-radius: 100%;
    /*background: #ffffff;*/
    /*box-shadow: 0 0 20px 0 rgba(255, 255, 255, 0.25);*/
}
.request-loader span {
    position: relative;
    font-size: 72px;
    top: 5px;
    left: -5px;
}
.request-loader::after {
    opacity: 0;
    display: flex;
    flex-direction: row;
    justify-content: var(--justify-content-loader);
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: "";
    height: 100%;
    width: 100%;
    border: 8px solid var(--ring-color);
    border-radius: 100%;
    animation-name: ripple;
    animation-duration: 2s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-timing-function: cubic-bezier(0.65, 0, 0.34, 1);
    z-index: 0;
}
.request-loader::before {
    opacity: 0;
    display: flex;
    flex-direction: row;
    justify-content: var(--justify-content-loader);
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: "";
    height: 100%;
    width: 100%;
    border: 8px solid var(--ring-color);
    border-radius: 100%;
    animation-name: ripple;
    animation-duration: 2s;
    animation-delay: 0.2s;
    animation-iteration-count: infinite;
    /*animation-timing-function: cubic-bezier(0.65, 0, 0.34, 1);*/
    animation-timing-function: ease-in-out;
    z-index: 0;
}

@keyframes ripple {
    from {
        opacity: 1;
        transform: scale3d(0.1, 0.1, 1);
    }
    to {
        opacity: 0;
        transform: scale3d(1.3, 1.3, 1);
    }
}
